﻿html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none !important;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }


/*MY CSS*/

.utc-logo {
    border-bottom: 1px solid var(--mud-palette-divider);
}

.mud-appbar {
    height: calc(var(--mud-appbar-height) + 0px);
    border-bottom: 1px solid var(--mud-palette-divider);
}

.active {
    border-right: 1px solid var(--mud-palette-secondary-lighten);
    color: var(--mud-palette-primary) !important;
    background-color: var(--mud-palette-primary-hover) !important;
}

.layout_appbar-main {
    background-color: var(--mud-palette-surface);
}

.layout_drawer-main {
    border-right: 1px solid var(--mud-palette-divider);
}

.layout_drawer-header {
    justify-content: center;
    align-items: center;
    padding: 0 !important;
    margin: 0;
    gap: 8px;
}


.layout_drawer-logotext {
    width: 150px;
    color: var(--mud-palette-primary);
    text-align: center
}

.layout_drawer-logo {
    width: 25px;
    color: var(--mud-palette-primary);
}

.layout_drawer-process {
    position: absolute;
    bottom: 0;
    text-align: center;
    left: 0;
    right: 0;
}


.layout_drawer-migalka {
    display: inline-block;
    width: 8px;
    height: 8px;
    margin: 0px 2.5px;
    border-radius: 50%;
    background: rgb(0, 255, 6);
    animation: 1.5s linear 0s infinite normal none running hWcEHL;
}

@keyframes hWcEHL {
    0% {
        box-shadow: rgba(0, 255, 6, 0.4) 0px 0px 2px 0px;
    }

    70% {
        box-shadow: rgba(0, 255, 6, 0) 0px 0px 2px 12px;
    }

    100% {
        box-shadow: rgba(0, 255, 6, 0) 0px 0px 2px 0px;
    }
}



/*qr*/

@font-face {
    font-family: 'Inter';
    src: url('/fonts/Inter_18pt-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}


.payment-pending {
    display: flex;
    flex-direction: column;
    font-family: 'Inter', sans-serif;
    justify-content: space-between;
    align-items: center;
    padding-top: 104px;
    background-color: #fff;
    height: 100vh;
}

.payment-pending-body {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
    padding-left:16px;
    padding-right:16px;
}

.head-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
    align-self: stretch;
}

.icon-container {
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 136px;
    min-height: 136px;
    border-radius: 50%;
    background-color: rgba(0, 16, 36, 0.04);
    flex-shrink: 0;
}

.status-icon {
    width: 88px;
    height: 88px;
    flex-shrink: 0;
}

.head-container-title {
    align-self: stretch;
    color: #000;
    text-align: center;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.info-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    align-self: stretch;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    color: #000;
}

.info-message {
    display: flex;
    min-height: 44px;
    padding: 6px 16px;
    align-items: flex-start;
    align-self: stretch;
    border-radius: 16px;
    background-color: rgba(0, 122, 255, 0.12);
}

.info-icon-container {
    display: flex;
    padding: 10px 16px 10px 0px;
    align-items: flex-start;
    gap: 8px;
    align-self: stretch;
}

.text-container {
    display: flex;
    padding: 13px 0px;
    align-items: center;
    gap: 8px;
    flex: 1 0 0;
    align-self: stretch;
}

.details {
    display: flex;
    padding: 20px 16px;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    align-self: stretch;
    border-radius: 16px;
    background-color: rgba(0, 16, 36, 0.04);
}

    .details div {
        display: flex;
        justify-content: space-between;
        align-items: flex-start;
        align-self: stretch;
    }

.payment-pending-footer {
    display: flex;
    flex-direction: column;
    padding: 0px 16px 40px 16px;
    align-items: flex-start;
    gap: 8px;
}

.refresh-link {
    display: flex;
    height: 48px;
    padding: 18px 16px;
    justify-content: center;
    align-items: center;
    align-self: stretch;
    border-radius: 32px;
    color: #375DFB;
}




.request-not-found {
    display: flex;
    flex-direction: column;
    font-family: 'Inter', sans-serif;
    align-items: center;
    background-color: #fff;
    padding: 270px 93px 366px 93px;
    height: 100vh;
    border-radius: 4px;
}

.request-not-found-body {
    display: flex;
    width: 189px;
    flex-direction: column;
    align-items: center;
    gap: 16px;
}


.request-message {
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    color: #000;
    text-align: center;
}



.request-complete {
    display: flex;
    flex-direction: column;
    font-family: 'Inter', sans-serif;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    padding: 270px 16px;
    height: 100vh;
    border-radius: 4px;
}

.request-complete-body {
    display: flex;
    width: 343px;
    flex-direction: column;
    align-items: center;
    gap: 32px;
}

.request-complete-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
    align-self: stretch;
}

.request-complete-icon {
    min-width: 136px;
    min-height: 136px;
    flex-shrink: 0;
}

.download-container {
    display: flex;
    padding: 16px;
    align-items: center;
    gap: 16px;
    align-self: stretch;
    border-radius: 16px;
    background: #FFF;
    box-shadow: 0px 6px 34px 0px rgba(0, 16, 36, 0.10);
}

.download-container-icon {
    width: 32px;
    height: 32px;
}

.pdf-icon {
    width: 30px;
    height: auto;
    margin-right: 10px;
}

.download-container-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}

.download-link {
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
    text-decoration: none;
}

